<?php
error_reporting(0);
// query string parameters
$startDate = $_GET["from_date"];
$endDate   = $_GET["to_date"];
$am_id     = $_GET["am_id"];
$unique_id = $_GET["unique_id"];

$curr_dt =  date('Y-m-d H:i:s');

if( !isset($unique_id))
{
    echo "ERROR : Unique id must be passed.";exit();
}

if(!isset($startDate) )
{
    $startDate = date('Y-m-d H:i:s', strtotime('-5 days', strtotime($curr_dt)));
}

if(!isset($am_id) )
{
    $am_id = 23;
}
if(!isset($endDate) )
{
    $endDate = $curr_dt;
}
// VRSI AMID - 23

    try{
        $url      = "https://paymentapi.numerotech.com/gateway_settings/".$am_id;
        // var_dump($url);exit();
        
        $result  = file_get_contents($url);
        // header('Content-Type: application/json');
        $vars    = json_decode($result, true);
        // var_dump($vars);exit();
    }
    catch(Exception $e) {
        echo "ERROR.TRY AGAIN";
        echo $e->getMessage();
        exit();
    }

    $arr_size = sizeof($vars);
    if( !isset($arr_size) )
    {
        echo "Error : Invalid ID";exit();
    }
    $apiKey  = $vars[0]["live_key"];
    $apiSalt = $vars[0]["live_salt_or_secret"];
    // var_dump($apiKey);var_dump($apiSalt);exit();    

// $apiKey = "8oBB6Und";
// $apiSalt = "APtT5jJ1Kh";

// $startDate = "2023-05-01 10:00:00";
// $endDate = "2023-05-06 10:00:00";
$command = "get_transaction_info";

// $hashString = $apiKey . '|' . 'get_transaction_info' . '|' . $startDate . '|' . $endDate . '|' . $apiSalt;
// $hash = strtolower(hash('sha512', $hashString));
// echo $hash;exit();

//hash formaula
$var1 = $startDate;

$hash_str = $apiKey  . '|' . $command . '|' . $var1 . '|' . $apiSalt ;
$hash = strtolower(hash('sha512', $hash_str));

$data = array(
    'key' => $apiKey,
    'command' => 'get_transaction_info',
    'hash' => $hash,
    'var1' => $startDate,
    'var2' => $endDate
);

// $url = 'https://www.payumoney.com/payment/op/getPaymentReport';
$url = "https://info.payu.in/merchant/postservice?form=2";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($ch);

curl_close($ch);

// Process the response as needed
// var_dump($response); // comment by Ganesan J on June 06 ,2023

if ($response !== false) {
    // $responseData = json_decode($response, true);
    // Process the transaction details as needed
    $opt1 = json_decode(json_decode(json_encode($response)));
header('Content-Type: application/json; charset=utf-8');
echo json_encode($opt1);


exit();
    // var_dump($responseData);
    // return json_encode($responseData);

    // return json_encode($responseData);

} else {
    // Failed to retrieve transaction details
    echo "Error occurred while fetching transaction details.";
}

?>
